Package com.massivecraft.factions

## Class FPlayers

- java.lang.Object
- - com.massivecraft.factions.FPlayers

Direct Known Subclasses:
  `MemoryFPlayers`

    public abstract class FPlayers
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected static FPlayers` | `instance` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FPlayers()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract void` | `clean()` |
`abstract void` | `forceSave()` |
`abstract void` | `forceSave​(boolean sync)` |
`abstract java.util.Collection<FPlayer>` | `getAllFPlayers()` |
`abstract FPlayer` | `getById​(java.lang.String string)` |
`abstract FPlayer` | `getByOfflinePlayer​(org.bukkit.OfflinePlayer player)` |
`abstract FPlayer` | `getByPlayer​(org.bukkit.entity.Player player)` |
`static FPlayers` | `getInstance()` |
`abstract java.util.Collection<FPlayer>` | `getOnlinePlayers()` |
`abstract void` | `load()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    protected static FPlayers instance

### Constructor Detail

#### FPlayers

    public FPlayers()

### Method Detail

#### getInstance

    public static FPlayers getInstance()

#### clean

    public abstract void clean()

#### getOnlinePlayers

    public abstract java.util.Collection<FPlayer> getOnlinePlayers()

#### getByPlayer

    public abstract FPlayer getByPlayer​(org.bukkit.entity.Player player)

#### getAllFPlayers

    public abstract java.util.Collection<FPlayer> getAllFPlayers()

#### forceSave

    public abstract void forceSave()

#### forceSave

    public abstract void forceSave​(boolean sync)

#### getByOfflinePlayer

    public abstract FPlayer getByOfflinePlayer​(org.bukkit.OfflinePlayer player)

#### getById

    public abstract FPlayer getById​(java.lang.String string)

#### load

    public abstract void load()